### Constant

# Rsvg MAJOR_VERSION

since: 2.0

#### Declaration

    #define LIBRSVG_MAJOR_VERSION 2

#### Description

This is a C macro that expands to a number with the major version of librsvg against which your program is compiled.

For example, for librsvg-2.3.4, the major version is 2.

C programs can use this as a compile-time check for the required version, but note that generally it is a better idea to do compile-time checks by calling pkg-config in your build scripts.

Note: for a run-time check on the version of librsvg that your program is running with (e.g. the version which the linker used for your program), or for programs not written in C, use `rsvg_major_version` instead.

Available since: 2.0